Loading...
Searching...
No Matches
etharp.h File Reference
`#include "lwip/arch.h"`
`#include "lwip/prot/ethernet.h"`
`#include "arch/bpstruct.h"`
`#include "arch/epstruct.h"`

## Data Structures

struct | ip4_addr_wordaligned
struct | etharp_hdr

## Macros

#define | IPADDR_WORDALIGNED_COPY_TO_IP4_ADDR_T(dest, src)
#define | IPADDR_WORDALIGNED_COPY_FROM_IP4_ADDR_T(dest, src)

## Detailed Description

ARP protocol definitions

## Macro Definition Documentation

## IPADDR_WORDALIGNED_COPY_FROM_IP4_ADDR_T

#define IPADDR_WORDALIGNED_COPY_FROM_IP4_ADDR_T | ( |  | dest,
|  |  | src )

Value:
SMEMCPY(dest, src, sizeof(ip4_addr_t))
SMEMCPY
#define SMEMCPY(dst, src, len)
Definition opt.h:145
ip4_addr_t
struct ip4_addr ip4_addr_t
Definition ip4_addr.h:57

MEMCPY-like copying of IP addresses where addresses are known to be 16-bit-aligned if the port is correctly configured (so a port could define this to copying 2 u16_t's) - no NULL-pointer-checking needed.

## IPADDR_WORDALIGNED_COPY_TO_IP4_ADDR_T

#define IPADDR_WORDALIGNED_COPY_TO_IP4_ADDR_T | ( |  | dest,
|  |  | src )

Value:
SMEMCPY(dest, src, sizeof(ip4_addr_t))

MEMCPY-like copying of IP addresses where addresses are known to be 16-bit-aligned if the port is correctly configured (so a port could define this to copying 2 u16_t's) - no NULL-pointer-checking needed.